Draft: Wire To BSpline

From FreeCAD Documentation
Revision as of 17:19, 9 November 2018 by Luc (talk | contribs)

Draft WireToBSpline

poziția meniului
Drafting → Wire to BSpline
Ateliere
Draft, Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
nici unul

Descriere

This tool converts Wires to BSplines, and vice-versa.

Cum se folosește

  1. Select a wire or a BSpline
  2. Press the Draft WireToBSpline button

Opţiuni

  • The original object will not be deleted after the operation, you must delete it manually if you wish so.

Scrip-Programare

Not available, but creating a new object with the points from another one is easy, for example:

  • If the active object is a wire:
import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeBSpline(points)
  • dacă obiectul activ este o curbă bspline
import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeWire(points)